package com.steerinfo.baseinfo.meterbasemetertypeconf.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="计量卡配置表")
public class MeterBaseMetertypeConf implements IBasePO<String> {
    /**
     * 计量业务编号，取基础数据表(METER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量业务编号，取基础数据表",required=true)
    private String meterTypeNo;

    /**
     * 状态（0：无效；1：有效）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：无效；1：有效）",required=false)
    private String valueFlag;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 业务类型是否需要进出厂(0=不允许，1=允许)(IS_NEED_DOOR,VARCHAR,1)
     */
    @ApiModelProperty(value="业务类型是否需要进出厂(0=不允许，1=允许)",required=false)
    private String isNeedDoor;

    /**
     * 业务类型是否允许使用期限皮重(0=不允许，1=允许)(IS_ALLOW_TERM_TARE,VARCHAR,1)
     */
    @ApiModelProperty(value="业务类型是否允许使用期限皮重(0=不允许，1=允许)",required=false)
    private String isAllowTermTare;

    /**
     * 业务类型是否允许APP做预报(0=不允许，1=允许)(IS_APP_USED,VARCHAR,1)
     */
    @ApiModelProperty(value="业务类型是否允许APP做预报(0=不允许，1=允许)",required=false)
    private String isAppUsed;

    /**
     * 业务类型分类：0=厂内；1=进出厂；2=非计量(METER_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="业务类型分类：0=厂内；1=进出厂；2=非计量",required=false)
    private String meterType;

    /**
     * 业务类型展示顺序(METER_SORT,VARCHAR,1)
     */
    @ApiModelProperty(value="业务类型展示顺序",required=false)
    private String meterSort;

    /**
     * 计量业务名称，取基础数据表(METER_TYPE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="计量业务名称，取基础数据表",required=false)
    private String meterTypeName;

    /**
     * 计量点类型编号(SPOT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点类型编号",required=false)
    private String spotTypeNo;

    /**
     * 计量点类型名称(SPOT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量点类型名称",required=false)
    private String spotTypeName;

    /**
     * 业务类型是否允许使用自重(0=不允许，1=允许)(IS_ALLOW_OWN_TARE,VARCHAR,1)
     */
    @ApiModelProperty(value="业务类型是否允许使用自重(0=不允许，1=允许)",required=false)
    private String isAllowOwnTare;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.meterTypeNo;
    }

    @Override
    public void setId(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getIsNeedDoor() {
        return isNeedDoor;
    }

    public void setIsNeedDoor(String isNeedDoor) {
        this.isNeedDoor = isNeedDoor == null ? null : isNeedDoor.trim();
    }

    public String getIsAllowTermTare() {
        return isAllowTermTare;
    }

    public void setIsAllowTermTare(String isAllowTermTare) {
        this.isAllowTermTare = isAllowTermTare == null ? null : isAllowTermTare.trim();
    }

    public String getIsAppUsed() {
        return isAppUsed;
    }

    public void setIsAppUsed(String isAppUsed) {
        this.isAppUsed = isAppUsed == null ? null : isAppUsed.trim();
    }

    public String getMeterType() {
        return meterType;
    }

    public void setMeterType(String meterType) {
        this.meterType = meterType == null ? null : meterType.trim();
    }

    public String getMeterSort() {
        return meterSort;
    }

    public void setMeterSort(String meterSort) {
        this.meterSort = meterSort == null ? null : meterSort.trim();
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName == null ? null : meterTypeName.trim();
    }

    public String getSpotTypeNo() {
        return spotTypeNo;
    }

    public void setSpotTypeNo(String spotTypeNo) {
        this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
    }

    public String getSpotTypeName() {
        return spotTypeName;
    }

    public void setSpotTypeName(String spotTypeName) {
        this.spotTypeName = spotTypeName == null ? null : spotTypeName.trim();
    }

    public String getIsAllowOwnTare() {
        return isAllowOwnTare;
    }

    public void setIsAllowOwnTare(String isAllowOwnTare) {
        this.isAllowOwnTare = isAllowOwnTare == null ? null : isAllowOwnTare.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", meterTypeNo=").append(meterTypeNo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", isNeedDoor=").append(isNeedDoor);
        sb.append(", isAllowTermTare=").append(isAllowTermTare);
        sb.append(", isAppUsed=").append(isAppUsed);
        sb.append(", meterType=").append(meterType);
        sb.append(", meterSort=").append(meterSort);
        sb.append(", meterTypeName=").append(meterTypeName);
        sb.append(", spotTypeNo=").append(spotTypeNo);
        sb.append(", spotTypeName=").append(spotTypeName);
        sb.append(", isAllowOwnTare=").append(isAllowOwnTare);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}